New iPhone4 cannot update to 4.3.4

Discussion in 'iPhone' started by BenXiaoHai, Jul 24, 2011.

  1. BenXiaoHai macrumors member

    Joined:
    May 2, 2010
    #1
    Hey guys, I just got a iPhone 4 to replace my 3gs. However, I cannot upgrade the phone to 4.3.4! It says "device is not eligible for requested build". Lol what the hell? Any help is appreciated. Thanks!
     
  2. kemperman macrumors regular

    kemperman

    Joined:
    Jul 15, 2009
    Location:
    UK
    #2
    Have you ever jail broken? If so this may be the problem. Apple tell you how to restore the correct lines of code on their website that pops up when you hit the more info button on your dialog box
     
  3. macbanjo macrumors newbie

    Joined:
    Jan 8, 2008
    #3
    new iPhone

    if your on Verizon I believe you can only go up to 4.2.9
    ATT is 4.3
    I don't believe Verizon with catch up till 5.0 is out
     
  4. rosalindavenue macrumors 6502a

    rosalindavenue

    Joined:
    Dec 13, 2003
    Location:
    Virginia, USA
    #4
    I have a non jailbroken verizon iphone 4 and I am also getting "not eligible for the requested build." This is the only thread I could find in which someone says verizon phones are not eligible. I doubt that, by the way-- why would apple put out a bug fix upgrade that is not usable by millions? Any suggestions?
     
  5. janeliyamarsal macrumors newbie

    Joined:
    Jul 26, 2011
    #5
    I have 2 iphones, and buy a newset. may you tell me which is the best.
     
  6. Kyotoma macrumors 68000

    Kyotoma

    Joined:
    Nov 11, 2010
    Location:
    Carnegie and Ontario
    #6
    Verizon's iPhone bug fix is built at "4.2.10". It addresses the same SSL exploit. If your build is 4.2.10, then you're fine.
     
  7. rosalindavenue macrumors 6502a

    rosalindavenue

    Joined:
    Dec 13, 2003
    Location:
    Virginia, USA
    #7
    Unfortunately my Verizon phone is running 4.2.8

    bummer
     
  8. SeanMcC macrumors regular

    Joined:
    Jun 19, 2009
    Location:
    Minneapolis
    #8
    Same here
     
  9. rosalindavenue macrumors 6502a

    rosalindavenue

    Joined:
    Dec 13, 2003
    Location:
    Virginia, USA
    #9
    Last night I spent an hour and a half on the line with Apple Tech support. I had to buy Applecare for $70 (which I would have probably done anyway). I was bounced between iphone and mac support (their scripts had not been adjusted for Lion terminal, apparently). They had me reload itunes-- no dice. Then they had me set up a test admin account and try to upgrade. No dice. We agreed to stop there and see if anything develops; I will call the service tech later this week,
     
  10. kicko macrumors 65816

    Joined:
    Aug 26, 2008
    #11
    I updated 2 verizon phones last night from 2 different pc's. From the error is sounds like its trying to install the AT&T version on a Verizon iphone.

    Can you see if its downloading 4.2.10?
     
  11. rosalindavenue macrumors 6502a

    rosalindavenue

    Joined:
    Dec 13, 2003
    Location:
    Virginia, USA
    #12

Share This Page